#!/bin/sh
if [ -z "$1" ]; then
  HOSTS="`grep -v ^# MASTER_LIST | cut -d\| -f3`"
else
  HOSTS="`cat \"$1\"`"
fi
for HOST in $HOSTS; do
  ping -c 3 -q $HOST 2>&1 >/dev/null
  if [ $? -eq 0 ]; then
    echo "[ UP ] $HOST"
  else
    echo "[DOWN] $HOST"
  fi
done
